package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.AuthorizedAgentConfirmationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraAuthorizedAgentConfirmationDO;
import java.util.List;

public interface ElderlyExtraAuthorizedAgentConfirmationService {
    Long create(ElderlyExtraAuthorizedAgentConfirmationDO createReqVO);
    void update(ElderlyExtraAuthorizedAgentConfirmationDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraAuthorizedAgentConfirmationDO> findPage(AuthorizedAgentConfirmationPageReqVO reqVO);
    ElderlyExtraAuthorizedAgentConfirmationDO getDetail(Long id);
    List<ElderlyExtraAuthorizedAgentConfirmationDO> getListByElderId(Long elderId);
}
